| Home | Libraries | People | FAQ | More

## Struct advance

boost::proto::functional::advance — A PolymorphicFunctionObject type that invokes the `std::advance()` function on its arguments.

## Synopsis

    // In header: <boost/proto/functional/std/iterator.hpp>

    struct advance :  proto::callable {
      // types
      typedef void result_type;

      // public member functions
      template<typename InputIterator> template<typename Distance>
        void operator()(InputIterator &, Distance) const;
    };

## Description

A PolymorphicFunctionObject type that invokes the `std::advance()` function on its arguments.

### `advance` public member functions

1.     template<typename InputIterator> template<typename Distance>
         void operator()(InputIterator & x, Distance n) const;

   Calls `std::advance(x, n)`